PIXTILE(1)

NAME
pixtile - paste small images together into one large image

SYNOPSIS
pixtile [-h] [-s squareinsize] [-w file_width] [-n file_height] [-S squareoutsize] [-W out_width] [-N out_height] [-o startframe] basename > file.pix

pixtile [-h] [-s squareinsize] [-w file_width] [-n file_height] [-S squareoutsize] [-W out_width] [-N out_height] file1 file2 ... fileN > file.pix

DESCRIPTION
Pixtile takes a collection of numbered small images and places them side by side in one larger image. The input and output files are assumed to be in pix(5) format. By default, the output file will be made 512x512 pixels in size. Specifying the -h flag, changes the default size to 1024x1024 pixels.

The input files have a default width of 64 pixels per scanline and are usually square, i.e. have the same height as width. Specifying the -s flag, changes the default size to squareinsize pixels per scanline and squareinsize scanlines as given in the argument list. The -w flag can be used to specify the input file width in pixels and the -n flag can be used to specify the input file height in scanlines.

If the -S flag is supplied, the output size is changed from the default value of 512 to squareoutsize pixels per scanline and squareoutsize scanlines. The -W flag sets the output width size to out_width pixels per scanline. Similarly, the -N flag sets the output height size to out_height scanlines.

-h  ``hires'' flag. Set both the height and width of the output to 1024. The default is 512x512.

-s squareinsize
    Specify both the number of pixels per scanline and the number of scanlines in the input files. The default is 64.

-w file_width
    Specify the width (in pixels) per scanline of the input file. The default is 64.

-n file_height
    Specify the number of scanlines to be read from the input file. The default is 64.

-S squareoutsize
    Specify both the number of pixels per scanline (width) and the number of scanlines (height) for the output file. The default is 512.

-W out_width
    Specify the width (in pixels) per scanline of the output file. The default is 512.

-N out_height
    Specify the number of scanlines to be sent to the output file. The default is 512.

-o startframe
    Specify the starting frame number, where startframe is substituted for num in basename.num

The files being pasted together should have names of the form basename.num, where basename is given on the command line, and num is a consecutive series of integers. By default the first image is assumed to be number `` 0 '', but an alternate startframe can be given by using the -o flag and supplying startframe. The program keeps reading these small files until either the next frame does not exist, or the output file is full. They are placed in the output file from lower left to upper right. The progress of the composition is displayed on standard error.

If the basename is given as "-" (a minus sign), preceeded by a "--" (two minus signs) to terminate bu_getopt(3) processing, then the stream of images is read from stdin rather than a file, such as might be generated by a program like pcd-pix(1). Such a stream could also be processed into files by pixbustup(1).

Alternatively, if more than one basename (filename) argument is supplied on the command line, the names of the files being pasted together are assumed to be explicitly stated and the -o flag is not valid. This allows files with different names to be used without having to change the name of the files.

This program is the companion of fbanim(1) which will step through these small images on a framebuffer capable of zooming and windowing. Thus many small low resolution frames can be used as an animation "preview" for a higher resolution sequence, the latter of which would go onto video tape or film.

EXAMPLE
pixtile -h -s 128 -o 2 anim > out.pix
will read files anim.2 through anim.65 placing them from lower left to upper right in a 1024x1024 pixel file out.pix.

pixtile -s 256 lowerleft lowerright upperleft upperright > out.pix
will read files lowerleft, lowerright, upperleft, and upperright placing them from lower left to upper right in a 512x512 file out.pix.

SEE ALSO
brlcad(1), fbanim(1), pix(5).

AUTHOR
Michael John Muuss

SOURCE
SECAD/VLD Computing Consortium, Bldg 394
The U. S. Army Ballistic Research Laboratory
Aberdeen Proving Ground, Maryland 21005

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.